Public Class InfosysColoredGridColumn
    Inherits DataGridTextBoxColumn

    Private isNegative As Boolean
    Private ColIndex As Integer

    Public Sub New(ByVal isNegative As Boolean, ByVal ColIndex As Integer)
        'Constructor for the Derived class 
        MyBase.New()
        'Boolean Argument , Indicating the Column is editable or not
        Me.isNegative = isNegative
        Me.ColIndex = ColIndex
    End Sub

    Protected Overloads Overrides Sub Paint(ByVal g As System.Drawing.Graphics, ByVal bounds As System.Drawing.Rectangle, ByVal source As System.Windows.Forms.CurrencyManager, ByVal rowNum As Integer, ByVal backBrush As System.Drawing.Brush, ByVal foreBrush As System.Drawing.Brush, ByVal alignToRight As Boolean)
        Try
            Dim drv As DataRowView
            Dim dv As DataView = CType(source.List, DataView)
            'Get the DataRowView of the row being painted.
            drv = CType(dv.Item(rowNum), DataRowView)
            'Used column of the DataRowView to determine the formatting of the
            'column this object is painting. 
            If drv(Me.ColIndex) < 0 And Me.isNegative Then
                ' Here is where we are going to do the actual painting.
                'backBrush = Brushes.Yellow
                foreBrush = Brushes.Red
            End If
        Catch ex As Exception
        Finally
            MyBase.Paint(g, bounds, source, rowNum, backBrush, foreBrush, alignToRight)
        End Try

    End Sub

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        Me.isNegative = Nothing
    End Sub
End Class
